WEBINARLive webinar: Buddy MCP, Sept 15th.Buddy MCP: read the logs, find the bug, ship the fix. Live on September 15th.Save your seat

REST API

View as Markdown

What you need to do is execute the Resource URL (below) and send to it POST Param to_revision.

http
POST /workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions

URL Parameters

Name Type Description
workspace Required String The workspace name.
project_name Required String The name ID of the project.
pipeline_id Required Integer The numerical ID of the desired scenario.

POST Parameters

Name Type Description
to_revision Required Object The object containing the revision field in which a revision or HEAD will be provided from the repository that will be executed in the pipeline.
variables Variable[] The list of variables to set as parameters for the pipeline.
branch Object The object containing the name field with the name of the branch to be executed when a pipeline has multiple refs or one of the refs is a wildcard.
tag Object The object containing the name field with the name of the tag to be executed when a pipeline has multiple refs or one of the refs is a wildcard.
comment String Execution comment.
refresh Boolean Deploy from scratch.
clear_cache Boolean Clear cache before running the pipeline.
priority String Execution priority. Can be one of LOW, NORMAL or HIGH. Default is NORMAL.
actions_to_run Integer[] Send the actions' IDs list to be run in this execution. If not sent, it will be run in accordance with the pipeline's definition.
delay_until iso 8601 utc date The date when the execution should be run. Should be set in the format: 2016-11-18T12:38:16.000Z.
pull_request Object The object containing the name field with the name of the pull request to be executed when a pipeline has multiple refs or one of the refs is a wildcard.

Last modified on Apr 22, 2026